Hi all,

since there are some changes recently in software it might help to get an update about
how to load the current development version on to your APM.


If you just want to have a quick start i strongly advise you to upload the latest stable version (2.20)
from the Mission Planner (Firmware Tab).


If you want to tinker with code you should load the latest version from here:

https://github.com/diydrones/ardupilot/archive/master.zip


For uploading the development version you need the modified Arduino IDE downloaded from here:

http://code.google.com/p/ardupilot-mega/downloads/list?can=2&q=...


Just download both archives and unpack both in seperate directorys.


Start the downladed Arduino IDE and open the preference window.


Select the directory where you have unpacked the software archive master.zip (probably called "ardupilot-master")


In the  Directory should be the "APMrover2", the "libraries" folder and some others.


Close Arduino IDE to save changes and start it again.


You should now be able to load the APMrover2 sketch.


Select your Hardware from ArduPilot menu and your board from Tools/Board menu.


Now you should be able to compile without errors.


If you're having trouble or Arduino shows an error you should probably read more about usual occuring problems here:

http://diydrones.com/profiles/blogs/arduino-debugging-tips


I have made a quick video for demonstation purpose also.
    



Have fun!
Linus

Views: 399

Replies to This Discussion

Thank you for all the help got mine up and running. Another compile issues I found is that on 64bit you have to run the IDE in administrative mode.

Tnx, it helped to load the new FW !

RSS

© 2017   Created by Chris Anderson.   Powered by

Badges  |  Report an Issue  |  Terms of Service